petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMCreateLocalVector

Creates a local vector from a DMDA or DMComposite object

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMCreateLocalVector(DM dm,Vec *vec)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

vec -the local vector

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex48.c.html